Execute a universal outbound payment
curl --request POST \
--url https://mag3nt.com/api/pay \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"card_id": "sx_a66a6666-...",
"card_token": "tok_3b9fe670-...",
"url": "https://api.weather.com/forecast"
}
'import requests
url = "https://mag3nt.com/api/pay"
payload = {
"card_id": "sx_a66a6666-...",
"card_token": "tok_3b9fe670-...",
"url": "https://api.weather.com/forecast"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
card_id: 'sx_a66a6666-...',
card_token: 'tok_3b9fe670-...',
url: 'https://api.weather.com/forecast'
})
};
fetch('https://mag3nt.com/api/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"transaction_id": "<string>",
"amount_debited": 123,
"merchant_amount": 123,
"platform_fee": 123,
"token": "<string>",
"network": "<string>",
"protocol": "<string>",
"settlement": {
"status": "<string>",
"tx_hash": "<string>"
}
}Payments
Execute a universal outbound payment
Enables any mag3nt card to pay any external x402, MPP, or AP2 endpoint in a single HTTP call. The engine automatically probes the target URL, detects the protocol, and settles on-chain.
POST
/
api
/
pay
Execute a universal outbound payment
Authorizations
API key prefixed with 'Bearer sx_live_...'
Body
application/json
Card identifier (sx_...)
Card secret token (tok_...)
The external payment-protected URL to pay
HTTP method to use when probing the URL
JSON request body to trigger a priced challenge
Optional headers for the probe request
⌘I